/*
 *  Simple test program -- simplified version of sample test hello.
 */

#include <bsp.h>

#include <stdlib.h>
#include <stdio.h>
#include <pthread.h>

void* mythread(void*p)
{
while(1)
{
  printf( "Hello Thread\n" );
  usleep(300000);
}

}

rtems_task Init(
  rtems_task_argument ignored
)
{
pthread_t t;
pthread_create(&t,NULL,mythread,NULL);

while(1)
{
  printf( "Hello World\n" );
  usleep(500000);
}
}

/* configuration information */

#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER

#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER

#define CONFIGURE_RTEMS_INIT_TASKS_TABLE

#define CONFIGURE_MAXIMUM_TASKS 1

#define CONFIGURE_MAXIMUM_POSIX_THREADS 1

#define CONFIGURE_INIT

#include <rtems/confdefs.h>

/* end of file */
